ReferenceModels and usage
Add a model to one of the team's providers (its owners and admins); it is for the team only
POST
visibility, teams and personal don't apply to a team's own models: leave them out (400 team_model_visibility for visibility all, teams, or personal true).
team*stringTeam slug or ID
providerId*stringFormat
uuidapplication/json- body
upstreamId*stringLength
length <= 200name?stringDefaults to upstreamId
Length
length <= 100contextWindow?integerDefault 128000
Format
int32maxTokens?integerDefault 16000
Format
int32images?booleanreasoning?booleaninputPrice?numberFormat
doubleoutputPrice?numberFormat
doubleenabled?booleanvisibility?stringValue in
"all""teams"personal?booleanAvailable in personal workspaces (when created, defaults to visibility = all)
teams?array<string>Team slugs or IDs (visibility teams)
Created model
application/json- response
data*curl -X POST 'https://agents.example.com/v1/teams/string/model-providers/497f6eca-6276-4993-bfeb-53cbbbba6f08/models' \ -H 'Content-Type: application/json' \ -d '{ "upstreamId": "string"}'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "providerId": "4834bcdc-4a64-444d-966b-1a6fe381da24", "providerName": "string", "providerKind": "string", "providerEnabled": true, "accessMode": "proxy", "upstreamId": "string", "name": "string", "contextWindow": 0, "maxTokens": 0, "images": true, "reasoning": true, "inputPrice": 0, "outputPrice": 0, "enabled": true, "visibility": "all", "personal": true, "teams": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string" } ], "providerTeam": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string", "kind": "team" }, "revision": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}